<template>
  <div class="row">
    <div 
        class="col-md-3" 
        v-for="(item, idx) in items" 
        :key="idx">
      <div class="card-group">
        <div class="card">
          <div class="card-body">
            <div class="row">
              <div class="col-12">
                <div class="d-flex no-block align-items-center">
                  <div>
                    <div class="icon"><i class="lni-empty-file"></i></div>
                    <p class="text-muted">{{ idx | upperCase }}</p>
                  </div>
                  <div class="ml-auto">
                    <h2 class="counter text-info">{{ items[idx] }}</h2>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script lang="ts">
import axios from "axios";
import Vue from "vue";
export default Vue.extend({
  name: "cards-information",
  data() {
    return {
      items: [],
    };
  },
  filters: {
      upperCase(values: string) {
        return values.toUpperCase();
      }
  },
  mounted() {
    // CALLED FUNCTION TO INITIALIZE COMPONENT
    this.loadCounters();
  },
  methods: {
    // LOAD GENERAL INFORMATION USING COUNTER FOR ENTITIES
    loadCounters() {
      axios.get("counter-information").then((res) => {
        this.items = res.data;
        console.log(res.data);
      });
    },
  },
});
</script>
